Heroes of Might and Magic Community
visiting hero! Register | Today's Posts | Games | Search! | FAQ/Rules | AvatarList | MemberList | Profile


Age of Heroes Headlines:  
5 Oct 2016: Heroes VII development comes to an end.. - read more
6 Aug 2016: Troubled Heroes VII Expansion Release - read more
26 Apr 2016: Heroes VII XPack - Trial by Fire - Coming out in June! - read more
17 Apr 2016: Global Alternative Creatures MOD for H7 after 1.8 Patch! - read more
7 Mar 2016: Romero launches a Piano Sonata Album Kickstarter! - read more
19 Feb 2016: Heroes 5.5 RC6, Heroes VII patch 1.7 are out! - read more
13 Jan 2016: Horn of the Abyss 1.4 Available for Download! - read more
17 Dec 2015: Heroes 5.5 update, 1.6 out for H7 - read more
23 Nov 2015: H7 1.4 & 1.5 patches Released - read more
31 Oct 2015: First H7 patches are out, End of DoC development - read more
5 Oct 2016: Heroes VII development comes to an end.. - read more
[X] Remove Ads
LOGIN:     Username:     Password:         [ Register ]
HOMM1: info forum | HOMM2: info forum | HOMM3: info mods forum | HOMM4: info CTG forum | HOMM5: info mods forum | MMH6: wiki forum | MMH7: wiki forum
Heroes Community > Heroes 3.5 - WoG and Beyond > Thread: ERA III
Thread: ERA III This thread is 12 pages long: 1 2 3 4 5 6 7 8 9 10 11 12 · «PREV / NEXT»
Salamandre
Salamandre


Admirable
Omnipresent Hero
Wog refugee
posted November 05, 2021 08:56 PM

if Era 3, you need the mod WoG scripts also activated.

 Send Instant Message | Send E-Mail | View Profile | Quote Reply | Link
mak
mak

Tavern Dweller
posted November 06, 2021 09:34 AM

I did try every combo i could think of, i tried era 2 and the previous ver. of maps but it also didn't work. I did clean the registry.


Ok here we go:










I couldn't find seers uncovered mod for era3.
Funny thing is, i played tew2 like few months ago without any problems.

 Send Instant Message | Send E-Mail | View Profile | Quote Reply | Link
Salamandre
Salamandre


Admirable
Omnipresent Hero
Wog refugee
posted November 06, 2021 10:07 AM
Edited by Salamandre at 10:11, 06 Nov 2021.

In Era 3 you need WoG scripts activated, did you? That mod comes with Era 3. Bersy separated scripts for Era3, they are no longer included in WoG (core)


 Send Instant Message | Send E-Mail | View Profile | Quote Reply | Link
mak
mak

Tavern Dweller
posted November 06, 2021 10:52 AM
Edited by mak at 10:56, 06 Nov 2021.

S*** that was it! Thanks Valery, i still don't know why era 2 stuff didn't work, but that's a problem for another time.

For some reason i didn't have WoG scripts in my ERA install-s. i downloaded my versions from yandex disk which has all era versions.
That's probably why heroes 3 launcher thingie worked up to a point, but not really. Lots of crashes.





 Send Instant Message | Send E-Mail | View Profile | Quote Reply | Link
Salamandre
Salamandre


Admirable
Omnipresent Hero
Wog refugee
posted November 06, 2021 11:25 AM

The distribution of Era 3, between last version not having wog scripts and the ERA+ HD-mod + ERA SCRIPTS, which screws all previous custom maps, became a disaster, I concur.

 Send Instant Message | Send E-Mail | View Profile | Quote Reply | Link
daemon_n
daemon_n


Known Hero
posted November 06, 2021 12:05 PM

Salamandre said:
The distribution of Era 3, between last version not having wog scripts and the ERA+ HD-mod + ERA SCRIPTS, which screws all previous custom maps, became a disaster, I concur.


well as you addded "load only this erm" you can add loaded modnames check when map starts and notify user to disable them/
How do you like that idea?

 Send Instant Message | Send E-Mail | View Profile | Quote Reply | Link
Salamandre
Salamandre


Admirable
Omnipresent Hero
Wog refugee
posted November 06, 2021 12:18 PM
Edited by Salamandre at 12:31, 06 Nov 2021.

I am inactive, don't have any longer the energy to change settings, test then be sure release is playable, that was my work during 10 long years, right?

I don't deny Era 3 - and its  variants HD + etc are great, is just that for my mods they were a disaster, almost everyday I get complaints. That's it.      

daemon_n said:

well as you addded "load only this erm" you can add loaded modnames check when map starts and notify user to disable them/

 

Why? Mods contain erm files. My mods restrict the access to new erm files (the purpose of the "load only this erm", right?). Why this obvious and safe setting wasn't kept so we got now this chaos?

Also, as you see in the posts above, Era 3 last version doesn't have the WoG scripts in, so how are we supposed to play anything?
____________
Era II mods and utilities

 Send Instant Message | Send E-Mail | View Profile | Quote Reply | Link
Ghost
Ghost


Legendary Hero
Therefore I am
posted November 06, 2021 12:50 PM

Right! I downloaded ERA III, but where are scripts. I installed 2.9.13 back. If ERA in scripts, we don't need daemon, I think so.. An old 3.58f was easiest install, what we want install and update object 1,09, for example, it works well. Today daemon's version. I'm sorry, no offense. Yes you do a good job. Another old script users can't learn a new script trick, right? Bersy said the same script, but no !#UN:M2/159; worked. No explanation.
____________
Fight MWMs - stand teach

 Send Instant Message | Send E-Mail | View Profile | Quote Reply | Link
daemon_n
daemon_n


Known Hero
posted November 06, 2021 12:55 PM

wdym? load Only erm is still working, isn't?

Salamandre said:
Also, as you see in the posts above, Era 3 last version doesn't have the WoG scripts in, so how are we supposed to play anything?


True, without ws ERA has less options to play its clean, as long as different assenmlies were made
anyway i tried made all the changes optionable and compatible with as much as possible - but it will not revert old erm syntax to the wog scripts - we just need rewrite them almost at all.
So basic task is just rewrite these wog scripts (and era scripts actually) to make it fully compotible (tbh any mods require that).

About your maps - they are definitely the Greatest. If i had time i want rewrite and adapt all of them with newest and erm2, and json, and 32bit png, and animated graphics support. Unfortunatelly i really don't have enough hands despite i spend ALL my time for H3 ERA modding

 Send Instant Message | Send E-Mail | View Profile | Quote Reply | Link
mak
mak

Tavern Dweller
posted November 06, 2021 01:10 PM
Edited by mak at 13:11, 06 Nov 2021.

One more thing.

Are there any actual new maps being made for ERA?

I only play Valery's maps and a couple of others, but those worked fine on ERA 2. So what is the point of upgrades to the core if there are no
new maps?

I'm probably missing something..

 Send Instant Message | Send E-Mail | View Profile | Quote Reply | Link
RerryR
RerryR


Promising
Supreme Hero
Researching Magic
posted November 06, 2021 01:48 PM
Edited by RerryR at 13:52, 06 Nov 2021.

Ghost said:
Right! I downloaded ERA III, but where are scripts. I installed 2.9.13 back. If ERA in scripts, we don't need daemon, I think so.. An old 3.58f was easiest install, what we want install and update object 1,09, for example, it works well. Today daemon's version. I'm sorry, no offense. Yes you do a good job. Another old script users can't learn a new script trick, right? Bersy said the same script, but no !#UN:M2/159; worked. No explanation.


Berserker decided to separate the development of ERA core and WoG mod. So he has more time to focus on ERA and other people can continue to work on WoG scripts. It was a good decision.

When you install clean ERA 3 you also need to install WoG Scripts mod. It has been written here plenty of time.

Have you tried to use the H3 launcher? It is way easier to install than old WoG mod.

"!#UN:M2/159;" what about that? Syntax will still work, in ERA2 or ERA3.


Edit:
@mac
ERA is made for all sorts of various modifications, not only maps.
ERA 3 gives modders easier access and has more modding possibilities than ERA2. If you want new maps someone has to make them, that is regardless of the ERA version.

 Send Instant Message | Send E-Mail | View Profile | Quote Reply | Link
Salamandre
Salamandre


Admirable
Omnipresent Hero
Wog refugee
posted November 06, 2021 01:55 PM

mak said:
One more thing.

Are there any actual new maps being made for ERA?

I only play Valery's maps and a couple of others, but those worked fine on ERA 2. So what is the point of upgrades to the core if there are no
new maps?


Era doesn't start and  end with my maps

There are some great mods working with Era3 (because they were written for from the start) and so far the better.

My complaint is that the very basic safety settings which were the core of WoG all those years : share ERA alone with no additional mods changing the game play then let each user to download the mods he wants to play over a CLEAN platform, are gone. Now you have Era alone which doesn't allow to play because no scripts, then on the other side you have the assembly proposed by Daemon, which allows to play but only mods started after Era 3 release, with the new settings inside.
Very bad move in my opinion.

 Send Instant Message | Send E-Mail | View Profile | Quote Reply | Link
Ghost
Ghost


Legendary Hero
Therefore I am
posted November 06, 2021 02:10 PM

@RerryR

I know cool Bersy and his avatar in Russian community

Ok no yet, because I lost ERA II install. Nice to hear.

Then UN:M belongs

Set new "Month of the" properties.
M0 - Original behaviour
M1 - Disable weeks of monster*2 and all/2
M2/$ - Set up a week of $ monster (monster*2) (see Format C)
M3 - Set up a week of plague (all/2)
Comments:
* 2nd parameter ($) only applies to M2.

Note: it wont disable weeks/months generated by Deities of Fire- imps/familiars will get extra growth and be spawned all over the map regardless

No worked.. also other scripts don't happen.

Ok thanks, if you know later or something script.
____________
Fight MWMs - stand teach

 Send Instant Message | Send E-Mail | View Profile | Quote Reply | Link
daemon_n
daemon_n


Known Hero
posted November 06, 2021 04:35 PM

Salamandre said:
Now you have Era alone which doesn't allow to play because no scripts, then on the other side you have the assembly proposed by Daemon, which allows to play but only mods started after Era 3 release, with the new settings inside.
Very bad move in my opinion.


that is not actually true - you can disable and enable any mods you wish - my assembly is just like extended old era package with comfortable update way. After updating mod list isn't being changed so you can continue to play. Isn't that good?

 Send Instant Message | Send E-Mail | View Profile | Quote Reply | Link
Salamandre
Salamandre


Admirable
Omnipresent Hero
Wog refugee
posted November 06, 2021 04:41 PM

Does assembly come with only WoG scripts enabled, or game enhancement  mod + Panda upgrade + some others are activated by default?

 Send Instant Message | Send E-Mail | View Profile | Quote Reply | Link
daemon_n
daemon_n


Known Hero
posted November 06, 2021 05:03 PM

Salamandre said:
Does assembly come with only WoG scripts enabled, or game enhancement  mod + Panda upgrade + some others are activated by default?


ES/WS/game enhancement  mod/BattleSpeed/BattleQueue/Wog Graphics Fix Lite . And what does it change?
If players install other mods then they managed how to disable other ones.

 Send Instant Message | Send E-Mail | View Profile | Quote Reply | Link
Salamandre
Salamandre


Admirable
Omnipresent Hero
Wog refugee
posted November 06, 2021 05:16 PM

Players are not always modders.

They see map requires Era 3, they download and start playing, they don't go in forums to ask which mods to disable first. And in its default state, the Assembly doesn't allow previous Era 2 maps to be played. It returns errors, scripts don't work and load only these scripts.txt has no effect.

 Send Instant Message | Send E-Mail | View Profile | Quote Reply | Link
daemon_n
daemon_n


Known Hero
posted November 06, 2021 05:24 PM

for this cases i tried to join all to the Discord/Forums community for getting reports and fix all i get.

as i said - my dream is remake and adapt all your maps in new erm

 Send Instant Message | Send E-Mail | View Profile | Quote Reply | Link
Salamandre
Salamandre


Admirable
Omnipresent Hero
Wog refugee
posted November 06, 2021 06:15 PM

The "new erm" is not a problem, as the old syntax is still processed.

The main problem is increasing incompatibility with old material, due to new plugins, platforms with weird settings, hardcoded and unexpected "fixes" by Bersy (like the clone issue), so I just want to warn everyone who feels like investing hundreds of hours in scripting:
think better because there are big chances your mod will not work within a few months. A waste of time.
____________
Era II mods and utilities

 Send Instant Message | Send E-Mail | View Profile | Quote Reply | Link
daemon_n
daemon_n


Known Hero
posted November 06, 2021 08:11 PM

Salamandre said:
so I just want to warn everyone who feels like investing hundreds of hours in scripting:
think better because there are big chances your mod will not work within a few months. A waste of time.


well, i cant argue that is not nice, and nevertheless i ve already spent hundreds hours cause i was inspired by you and other modders, and i really like it. Even if my works will gone, i ve spent the time really nice as i would that

 Send Instant Message | Send E-Mail | View Profile | Quote Reply | Link
Jump To: « Prev Thread . . . Next Thread » This thread is 12 pages long: 1 2 3 4 5 6 7 8 9 10 11 12 · «PREV / NEXT»
Post New Poll    Post New Topic    Post New Reply

Page compiled in 0.0468 seconds